Skip to content

API endpoint inventory

Generated from openapi.json, the source of truth for the /v1 HTTP surface (see API contract). Every operation, grouped by tag.

system

Health and service status

Method Path Summary Operation
GET /v1/health Service health check health

read

Typed batch read calls

Method Path Summary Operation
POST /v1/read Execute typed read calls read

accounts

Account configuration and lifecycle

Method Path Summary Operation
GET /v1/account-assets/logos/{image_id} Get account logo get_account_logo
GET /v1/accounts List accounts list_accounts
POST /v1/accounts Create account create_account
DELETE /v1/accounts/{account_id} Delete account delete_account
GET /v1/accounts/{account_id} Get account get_account
PATCH /v1/accounts/{account_id} Update account patch_account
POST /v1/accounts/{account_id}/disable Disable account disable_account
POST /v1/accounts/{account_id}/enable Enable account enable_account
POST /v1/accounts/{account_id}/logo Upload account logo upload_account_logo
POST /v1/accounts/{account_id}/verify Verify account verify_account

mailboxes

Mailboxes and navigation sidebar

Method Path Summary Operation
GET /v1/sources/{source_id}/mailboxes List mailboxes list_mailboxes
PATCH /v1/sources/{source_id}/mailboxes/{mailbox_id} Update mailbox role patch_mailbox

messages

Messages, attachments, compose, and commands

Method Path Summary Operation
GET /v1/messages/search Search messages search_messages
GET /v1/sender-addresses List sender addresses list_sender_addresses
POST /v1/sources/{source_id}/commands/delete-draft Delete draft delete_draft
POST /v1/sources/{source_id}/commands/messages/{message_id}/add-to-mailbox Add message to mailbox add_to_mailbox
POST /v1/sources/{source_id}/commands/messages/{message_id}/destroy Destroy message destroy_message
POST /v1/sources/{source_id}/commands/messages/{message_id}/remove-from-mailbox Remove message from mailbox remove_from_mailbox
POST /v1/sources/{source_id}/commands/messages/{message_id}/replace-mailboxes Replace message mailboxes replace_mailboxes
POST /v1/sources/{source_id}/commands/messages/{message_id}/set-keywords Set message keywords set_keywords
POST /v1/sources/{source_id}/commands/save-draft Save draft save_draft
POST /v1/sources/{source_id}/commands/send Send message send_message
GET /v1/sources/{source_id}/identity Get sender identity get_identity
GET /v1/sources/{source_id}/messages List source messages list_source_messages
GET /v1/sources/{source_id}/messages/{message_id} Get message detail get_message
GET /v1/sources/{source_id}/messages/{message_id}/attachments/{attachment_id} Get message attachment get_message_attachment
GET /v1/sources/{source_id}/messages/{message_id}/body Get message body get_message_body
GET /v1/sources/{source_id}/messages/{message_id}/draft-content Get draft content get_draft_content
GET /v1/sources/{source_id}/messages/{message_id}/reply-context Get reply context get_reply_context
GET /v1/sources/{source_id}/operations List pending operations list_pending_operations
DELETE /v1/sources/{source_id}/operations/{operation_id} Discard an outbox operation discard_operation
POST /v1/sources/{source_id}/operations/{operation_id}/retry Retry a failed outbox operation retry_operation

conversations

Conversation list and detail views

Method Path Summary Operation
GET /v1/views/conversations List conversations list_conversations
GET /v1/views/conversations/{conversation_id} Get conversation get_conversation

smart-mailboxes

Saved-query smart mailboxes

Method Path Summary Operation
GET /v1/smart-mailboxes List smart mailboxes list_smart_mailboxes
POST /v1/smart-mailboxes Create smart mailbox create_smart_mailbox
DELETE /v1/smart-mailboxes/{smart_mailbox_id} Delete smart mailbox delete_smart_mailbox
GET /v1/smart-mailboxes/{smart_mailbox_id} Get smart mailbox get_smart_mailbox
PATCH /v1/smart-mailboxes/{smart_mailbox_id} Update smart mailbox patch_smart_mailbox
GET /v1/smart-mailboxes/{smart_mailbox_id}/conversations List smart mailbox conversations list_smart_mailbox_conversations
GET /v1/smart-mailboxes/{smart_mailbox_id}/messages List smart mailbox messages list_smart_mailbox_messages
POST /v1/smart-mailboxes:reset-defaults Reset default smart mailboxes reset_default_smart_mailboxes

settings

Application settings and automation rules

Method Path Summary Operation
POST /v1/automation-rules:preview Preview automation rule preview_automation_rule
GET /v1/rules List automation rules list_rules
POST /v1/rules Create an automation rule create_rule
DELETE /v1/rules/{rule_id} Delete an automation rule delete_rule
PUT /v1/rules/{rule_id} Replace an automation rule update_rule
GET /v1/settings Get settings get_settings
PATCH /v1/settings Update settings patch_settings

sync

Sync triggers and configuration reload

Method Path Summary Operation
POST /v1/config:reload Reload configuration reload_config
POST /v1/sources/{source_id}/commands/sync Trigger sync trigger_sync

events

Server-sent domain event stream

Method Path Summary Operation
GET /v1/events Stream events stream_events

runtime

Link-scoped runtime frame stream

Method Path Summary Operation
POST /v1/runtime/sessions Open a runtime link open_runtime_link
DELETE /v1/runtime/sessions/{session_id} Close a runtime link close_runtime_link
POST /v1/runtime/sessions/{session_id}/mutations Run a runtime mutation run_runtime_link_mutation
GET /v1/runtime/sessions/{session_id}/mutations/{client_mutation_id} Read a runtime mutation's settlement runtime_link_mutation_settlement
GET /v1/runtime/sessions/{session_id}/stream Subscribe to runtime frames stream_runtime_link
POST /v1/runtime/sessions/{session_id}/views Open a runtime link view open_runtime_link_view
DELETE /v1/runtime/sessions/{session_id}/views/{view_id} Close a runtime link view close_runtime_link_view
POST /v1/runtime/sessions/{session_id}/views/{view_id}/extend Extend a runtime link view window extend_runtime_link_view

auth

Capability-token minting

Method Path Summary Operation
POST /v1/auth/tokens Mint a capability token create_auth_token

oauth

Provider OAuth authorization flows

Method Path Summary Operation
POST /v1/accounts/{account_id}/oauth/start Start account OAuth flow start_account_oauth
GET /v1/oauth/callback Complete OAuth flow complete_account_oauth
POST /v1/oauth/start Start provider OAuth flow start_provider_oauth